/**
 * Copyright (C) 2019 Bonitasoft S.A.
 * Bonitasoft, 32 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 **/
package org.bonitasoft.engine.bpm.flownode;

/**
 * @author Yanyan Liu
 */
public class ActivityInstanceSearchDescriptor {

    public static final String NAME = "name";

    public static final String STATE_NAME = "state";

    public static final String SUPERVISOR_ID = "supervisorId";

    public static final String USER_ID = "userId";

    public static final String GROUP_ID = "groupId";

    public static final String ROLE_ID = "roleId";

    public static final String PROCESS_DEFINITION_ID = "processDefinitionId";

    public static final String PROCESS_INSTANCE_ID = "processInstanceId";

    public static final String PARENT_PROCESS_INSTANCE_ID = "parentProcessInstanceId";

    public static final String PARENT_ACTIVITY_INSTANCE_ID = "parentActivityInstanceId";

    public static final String PARENT_CONTAINER_ID = "parentContainerId";

    public static final String DISPLAY_NAME = "displayName";

    /**
     * Use this field to match a specific type of flow node. <br>
     * Activity type filter can only be used once per query. <br>
     * Example of invalid query:<br>
     * <ul>
     * <li>
     * .leftParenthesis()
     * .filter(ActivityInstanceSearchDescriptor.ACTIVITY_TYPE, FlowNodeType.USER_TASK)
     * .or()
     * .filter(ActivityInstanceSearchDescriptor.ACTIVITY_TYPE, FlowNodeType.HUMAN_TASK)
     * .rightParenthesis()
     * .done();
     * </li>
     * </ul>
     */
    public static final String ACTIVITY_TYPE = "activityType";

    public static final String LAST_MODIFICATION_DATE = "lastUpdateDate";

}
