/**
 * Copyright (C) 2019 Bonitasoft S.A.
 * Bonitasoft, 32 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 **/
package org.bonitasoft.engine.bpm.internal;

import java.util.Objects;

import lombok.ToString;
import org.bonitasoft.engine.bpm.NamedElement;

/**
 * author Emmanuel Duchastenier
 * author Baptiste Mesta
 */
@ToString(callSuper = true)
public class NamedElementImpl extends BaseElementImpl implements NamedElement {

    private String name;

    public NamedElementImpl(final String name) {
        this.name = name;
    }

    public NamedElementImpl() {
        this.name = null;
    }

    @Override
    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof NamedElementImpl)) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }
        NamedElementImpl that = (NamedElementImpl) o;
        return Objects.equals(name, that.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), name);
    }

}
